/*
Пример использования
Получение списка k8ci
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
  }

data "decort_cb_k8ci_list" "k8cil" {
  #фильтр по id k8ci
  #опциональный параметр
  #тип - целое число
  #by_id = 111

  #фильтр по имени k8ci
  #опциональный параметр
  #тип - строка
  #name = "name"

  #фильтр по статусу k8ci
  #опциональный параметр
  #тип - строка
  #status = "status"

  #фильтр по worker driver
  #опциональный параметр
  #тип - строка
  #worker_driver = "KVM_X86"

  #фильтр по master driver
  #опциональный параметр
  #тип - строка
  #master_driver = "KVM_X86"

  #фильтр по network plugin
  #опциональный параметр
  #тип - строка
  #network_plugin = "flannel"

  #исключить из результата недоступные k8ci
  #опциональный параметр
  #тип - булев
  #include_disabled = "true"

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #size = 3
}

output "test" {
  value = data.decort_cb_k8ci_list.k8cil
}
